%define module_version 0.04
%define module_name Dancer2-Session-CGISession
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Session.pm) perl(Dancer2.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Plack.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Share Dancer Session with CGI::Session
Group: Development/Perl
License: perl
URL: https://github.com/pierre-vigier/Dancer2-Session-CGISession

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PV/PVIGIER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Dancer2::Session::CGISession is a session engine for Dancer2 to interact with CGI::Session;
Mostly usefull if you need to share sessions created by non-Dancer apps which are already using CGI::Session.
That Plugin is heavily inspired from Dancer::Session::CGISession

This module is a work in progress

You can set CGI::Session drivers and parameters using Dancer2 configuration

    session: "CGISession"

    engines:
      session:
        CGISession:
          driver: "driver:file:
          driver_params:
            "Directory": "/tmp
          name: "session name"


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

